YAK Pro - Php Obfuscator

News on "Published Releases"

2.0.0 available on GitHub
Posted on Saturday, August 25 2018 - 10:57:32

yakpro-po 2.0.0 has been released.

yakpro-po 2.x works on PhpParser 4.x
it will run on php >= 7.0, obfuscating code for php 5.2 to php 7.2

If you are running php 5.3 or higher,
Please use yakpro-po 1.x which works on 1.x branch of PhpParser.


2.0.alpha available on GitHub
Posted on Tuesday, May 22 2018 - 14:45:45

yakpro-po 2.x is currently in alpha version.

yakpro-po 2.x works on PhpParser 4.x
it will run on php >= 7.0, obfuscating code for php 5.2 to php 7.2

If you are running php 5.3 or higher,
Please use yakpro-po 1.x which works on 1.x branch of PhpParser.


1.8.8 available on GitHub
Posted on Monday, June 13 2016 - 21:28:33
  • Added support for instanceof classname obfuscation.
    ( issue #15 fix )

 

yakpro-po 1.8.8 has been released.


1.8.7 available on GitHub
Posted on Sunday, March 27 2016 - 11:36:37
  • added $GLOBALS for reserved variable names.
  • changed check mode form isset to array_key_exists because some keys had null values ( uppercase NULL as an example).

 

yakpro-po 1.8.7 has been released.


1.8.6 available on GitHub
Posted on Saturday, January 23 2016 - 02:25:49
  • added --whatis command line option.

 

yakpro-po 1.8.6 has been released.


1.8.5 available on GitHub
Posted on Friday, December 25 2015 - 15:23:27
  • issues #9 #10 #11 #12” fix

 

yakpro-po 1.8.5 has been released.


1.8.2 available on GitHub
Posted on Wednesday, December 16 2015 - 15:30:36
  • issue #8 fix (Lambda captured variables are not scrambled)

 

yakpro-po 1.8.2 has been released.


1.8.1 available on GitHub
Posted on Sunday, December 13 2015 - 04:19:34
  • typo fixes

 

yakpro-po 1.8.1 has been released.


1.8.0 available on GitHub
Posted on Saturday, December 12 2015 - 21:26:58
  • New config file $conf->t_ignore_pre_defined_classes parameter, replacing the old $conf->t_ignore_module_methods.
    see config.cnf for more details.
  • Ignore pre-defined classes, class constants, properties, methods.
  • if a use statement is present, do not shuffle statements that are located before the last use statement.
  • namespaces and classes are now sharing the same obfuscation context in order to be alias compliant.

 

yakpro-po 1.8.0 has been released.


1.7.3 available on GitHub
Posted on Friday, October 30 2015 - 16:08:34

Check for PHP Parser 1.x branch now works when yakpro-po is not the current working directory.
minor regression fix for --help option.

yakpro-po 1.7.3 has been released.


1.7.2 available on GitHub
Posted on Thursday, October 22 2015 - 22:35:43

Currently, yakpro-po only works on 1.x branch of PhpParser. 
A new 2.0.0 alpha1 PHP Parser has been released with a different API, and drop support for PHP < 5.5 .
Unfortunately, This new branch is the default one.
 

yakpro-po 1.7.2 has been released in order to Check for PHP Parser 1.x branch.


 
EnglishEnglish
FrançaisFrançais
Table of Contents
Recent News

Published Releases

2.0.0 available on GitHub
Posted on 2018, Aug 25
 
yakpro rulez!

Site has been updated on Saturday, August 25 2018 - 11:01:04